<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');

$txtCod=utf8_decode($_POST['txtCod']);

$selModCod = (isset($_POST['selModCod'])) ? utf8_decode($_POST['selModCod']) : '';

switch ($_POST['action']) {
	case 'consultarOpc':
		echo consultarOpc();
		break;

	case 'consultarUsuCod':
		echo consultarUsuCod();
		break;

	case 'guardar':
		echo guardar();
		break;
}

function consultarOpc() {
	global $txtCod, $selModCod;
	
	# QUERYS
	function sOpc($mod) {
		global $txtCod;
		return "SELECT * FROM op_$mod o LEFT JOIN usuop u ON u.usuo_form=o.opcForm AND u.usuo_usu='$txtCod' WHERE o.opcForm!='' ORDER BY opcForm ASC";
	}
	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp["opc"] = $db->sFetchAll(sOpc($selModCod));
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "opc");
}

function consultarUsuCod() {
	global $txtCod, $selModCod;

	# QUERYS
	$sUsuarios = "SELECT * FROM usuarios WHERE usu_cod='$txtCod'";
	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sUsuarios, "usuarios");
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "usuarios");
}

function guardar() {
	global $txtCod, $selModCod;
	$func = new functions();

	$jsonOpc=json_decode($_POST['tblOpc']);

	# QUERYS PARA VARIOS REGISTROS
	$iUsuop = "INSERT INTO usuop (usuo_usu, usuo_mod, usuo_form, usuo_stat) VALUES ";
	foreach ($jsonOpc as $obj) {
		$iUsuop = $iUsuop."('$txtCod', '$selModCod', '$obj->opcForm', '$obj->stat')".$func->addValues($obj, $jsonOpc);
	}

	$dUsuop = "DELETE FROM usuop WHERE usuo_usu = '$txtCod' AND usuo_mod = '$selModCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$db->dEx($dUsuop);
	$resp = (!$func->jsonEmpty($jsonOpc)) ? $db->iEx($iUsuop) : $db->rSuccess("Se guardó correctamente");
	$db->close();

	return json_encode($resp);
}
?>